﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
DATE:                  2018-02-28 10:04:42
AUTHOR:                Fluke
REVISION:              $Revision: 22843 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       121
CONFIGURATION:         Fluke 5500A (SC)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Models covered:
#        Fluke 19x ScopeMeter®
#        Fluke 19xB, 19xC ScopeMeter®
#        Fluke 2x5C ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ZCMPI(@Input, "A")
  1.002  MATH         QueryCmd = "QM 11"
  1.003  ELSE
  1.004  MATH         QueryCmd = "QM 21"
  1.005  ENDIF

  1.006  MATH         Amplitude = BASE(@Ampl);  Frequency = BASE(@Freq)
# Set @BitNum to "triggered" status bit value.
  1.007  MATH         @BitNum = 12
# Set number of times to dither output, attempting to trigger.
# Copy desired nominal amplitude to local register for manipulation.
  1.008  MATH         Counter = 4; NewAmpl = Amplitude

  1.009  DO
  1.010  MATH         Counter = Counter - 1; MEM = NewAmpl

  1.011  IF           Frequency == 5E+6
  1.012  5500         Vpp                          5MH            LS SC S  L
  1.013  ELSEIF       Frequency == 60E+6
  1.014  5500         Vpp                          60MH           LS SC S  L
  1.015  ELSEIF       Frequency == 100E+6
  1.016  5500         Vpp                          100MH          LS SC S  L
  1.017  ELSEIF       Frequency == 150E+6
  1.018  5500         Vpp                          150MH          LS SC S  L
  1.019  ELSEIF       Frequency == 200E+6
  1.020  5500         Vpp                          200MH          LS SC S  L
  1.021  ELSEIF       Frequency == 250E+6
  1.022  5500         Vpp                          250MH          LS SC S  L
  1.023  ELSE
  1.024  DISP         Unsupported frequency: [V @Freq]
  1.024  DISP
  1.024  DISP         @Freq must be on of:
  1.024  DISP         [32]"5MHz"
  1.024  DISP         [32]"60MHz"
  1.024  DISP         [32]"100MHz"
  1.024  DISP         [32]"150MHz"
  1.024  DISP         [32]"200MHz"
  1.024  DISP         [32]"250MHz"
  1.024  DISP
  1.024  DISP         Press "Terminate" to abort the procedure.
  1.025  ENDIF

# Check instrument status for "triggered" status in sub (triggered bit is 12).
  1.026  CALL         Sub Fluke ScopeMeter Instrument Status RS-232
  1.027  MATH         @Triggered = BIT(12, MEM)

  1.028  IF           NOT(@Triggered)
  1.029  MATH         @Cmd = QueryCmd
  1.030  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
# Multiply desired Vpp value times ratio of actual (Vrms converted to Vpp).
  1.031  MATH         NewAmpl = Amplitude * (NewAmpl / (MEM * (2 * SQRT(2))))

  1.032  IF           NewAmpl > 5.5
  1.033  OPBR         -z The 5500A amplitude required to achieve
  1.033  OPBR         [V @VertDiv] divisions on the UUT display exceeds
  1.033  OPBR         the capability of the calibrator.
  1.033  OPBR
  1.033  OPBR         Do you wish to RETRY?

  1.034  IF           MEM1
  1.035  MATH         Counter = 4; NewAmpl = Amplitude
  1.036  ENDIF

  1.037  ENDIF        ; NewAmpl > 5.5

  1.038  IF           Counter < 0
  1.039  DISP         The UUT MUST be triggered, displaying a stable trace
  1.039  DISP         (some jitter is allowed).
  1.039  DISP         The UUT is triggered if the [V @Input]| in the UUT
  1.039  DISP         status line ("Trig: [V @Input]|") is black.
  1.039  DISP
  1.039  DISP         If not, press the UUT "TRIGGER" key, adjusting the
  1.039  DISP         UUT trigger level (using the up and down arrow keys)
  1.039  DISP         until it is.
  1.040  OPBR         -z Is the UUT triggered?
  1.041  MATH         @Triggered = MEM1
  1.042  ENDIF        ; Counter < 0

  1.043  ENDIF        ; NOT(@Triggered)

  1.044  UNTIL        @Triggered || (NewAmpl > 5.5) || Counter < 0

  1.045  END
