﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19xB/C (1 yr) A&B Freq Meas RS-232 /5500+SC
INSTRUMENT:            Sub Fluke 19xB/C (1 yr) A&B Phase Meas RS-232 /5500+SC
INSTRUMENT:            Sub Fluke 19xB/C (1 yr) A Trigger Sens RS-232 /5500+SC
INSTRUMENT:            Sub Fluke 19xB/C (1 yr) A Bandwidth RS-232 /5500+SC
INSTRUMENT:            Sub Fluke 19xB/C (1 yr) B Trigger Sens RS-232 /5500+SC
INSTRUMENT:            Sub Fluke 19xB/C (1 yr) B Bandwidth RS-232 /5500+SC
DATE:                  2018-01-05 12:33:44
AUTHOR:                Fluke
REVISION:              $Revision: 22843 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       493
CONFIGURATION:         Fluke 5500A (SC)
=============================================================================
#
#  Procedure Author:
#        DT, GMO, DFM, VY
#
#  Models covered:
#        Fluke 19xB, 19xC ScopeMeter®
#        Fluke 2x5C ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         AB_FREQUENCY                 PSUBI("A&B Freq Meas")
  1.002  JMPL         AB_PHASE                     PSUBI("A&B Phase Meas")
  1.003  JMPL         A_TRIG_SENS                  PSUBI("A Trigger Sens")
  1.004  JMPL         A_VAC_HF                     PSUBI("A Bandwidth")
  1.005  JMPL         B_TRIG_SENS                  PSUBI("B Trigger Sens")
  1.006  JMPL         B_VAC_HF                     PSUBI("B Bandwidth")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment Line Number

# ====== Input A&B Frequency Measurement Test ===============================

  2.001  LABEL        AB_FREQUENCY
  2.002  RSLT         =
  2.003  HEAD         {FREQUENCY MEASUREMENT ACCURACY}
  2.004  RSLT         =
  2.005  HEAD         -2{Input A}: 16 Hz
# Set measurement delay to 3 seconds.
  2.006  MATH         @Wait = 3
  2.007  TARGET       -p
  2.008  CALL         Sub Fluke ScopeMeter Default Setup RS-232
# A&B on, BW Full; A&B 100 mV/div; reading A&B Hz; trace B center;
# A&B probe 1:1; manual ranging; 50 ms/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
# Command too long for single statement. Cannot use OTERM.
  2.011  PORT         [OTERM NONE]
  2.012  PORT         #0[32][10][0][2][128][0][128][32][20][0][2][128][0][128][32][14][0][5][0][0][0][8][255][7][32][24][0][5][0][0][0][8][255][7][32][51][0][5][128][1][11][10][8][158][32][52][0][5][128][2][11][10][8][159][32][23][0][2][0][0][0]
  2.013  PORT         [32][115][0][1][0][0][32][11][0][1][2][2][32][21][0][1][2][2][32][111][0][5][0][0][0][6][255][5][160][113][0][5][255][255][255][255][255][251][13]
  2.014  PORT         [OTERM CR]
  2.015  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.016  PIC          19x_ab_input_55_scope.jpg
  2.017  5500         16.00H                       600mVpp        SI SC S
  2.018  TARGET       -m
  2.019  MATH         @Cmd = "QM 11"
  2.020  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  2.021  MEMCX        16.00H         0.5% 0.02U    600mVpp

  3.001  HEAD         -2 Input A: Maximum UUT Input Frequency
# Set to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.004  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
  3.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232

  3.006  IF           @Bandwidth == 60E+6
# Select 20 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.009  PORT         #0[32][111][0][5][0][0][0][24][248][16][160][113][0][5][255][255][255][252][248][241]
  3.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.011  5500         60.00MH                      300mVpp        LS SC S  L
  3.012  TOL          0.5% 0.02U
  3.013  ELSEIF       @Bandwidth == 100E+6
  3.014  5500         100.0MH                      300mVpp        LS SC S  L
  3.015  TOL          0.5% 0.2U
  3.016  ELSE
  3.017  5500         200.0MH                      300mVpp        LS SC S  L
  3.018  TOL          0.5% 0.2U
  3.019  ENDIF

  3.020  TARGET       -m
  3.021  MATH         @Cmd = "QM 11"
  3.022  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  3.023  MATH         MEM = MEM / 1E+6
  3.024  MEMCX        MH             TOL           300mVpp

  4.001  RSLT         =
  4.002  HEAD         -2{Input B}: 16 Hz
  4.003  TARGET       -p
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 # Command too long for single statement. Cannot use OTERM.
  4.006  PORT         [OTERM NONE]
  4.007  PORT         #0[32][10][0][2][128][0][128][32][20][0][2][128][0][128][32][14][0][5][0][0][0][8][255][7][32][24][0][5][0][0][0][8][255][7][32][51][0][5][128][1][11][10][8][158][32][52][0][5][128][2][11][10][8][159][32][23][0][2][0][0][0]
  4.008  PORT         [32][115][0][1][0][0][32][11][0][1][2][2][32][21][0][1][2][2][32][102][0][1][1][1][32][111][0][5][0][0][0][6][255][5][160][113][0][5][255][255][255][255][255][251][13]
  4.009  PORT         [OTERM CR]
  4.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.011  5500         16.00H                       600mVpp        SI SC S
  4.012  TARGET       -m
  4.013  MATH         @Cmd = "QM 21"
  4.014  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  4.015  MEMCX        16.00H         0.5% 0.02U    600mVpp

  5.001  HEAD         Input B: Maximum UUT Input Frequency
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.004  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
  5.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232

  5.006  IF           @Bandwidth == 60E+6
# Select 20 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.009  PORT         #0[32][111][0][5][0][0][0][24][248][16][160][113][0][5][255][255][255][252][248][241]
  5.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  5.011  5500         60.00MH                      300mVpp        LS SC S  L
  5.012  TOL          0.5% 0.02U
  5.013  ELSEIF       @Bandwidth == 100E+6
  5.014  5500         100.0MH                      300mVpp        LS SC S  L
  5.015  TOL          0.5% 0.2U
  5.016  ELSE
  5.017  5500         200.0MH                      300mVpp        LS SC S  L
  5.018  TOL          0.5% 0.2U
  5.019  ENDIF

  5.020  TARGET       -m
  5.021  MATH         @Cmd = "QM 21"
  5.022  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  5.023  MATH         MEM = MEM / 1E+6
  5.024  MEMCX        MH             TOL           300mVpp

  6.001  HEAD         -2
  6.002  5500         *                                                 S
  6.003  END

  6.004  EVAL   Increment Line Number

# ====== Input A&B Phase Measurement Test ===================================

  7.001  LABEL        AB_PHASE
  7.002  ASK-                              U

  7.003  RSLT         =
  7.004  HEAD         {PHASE MEASUREMENT}
  7.005  RSLT         =
  7.006  HEAD         -2{Input A}: 10 Hz, Phase 0°
  7.007  TARGET       -p
  7.008  CALL         Sub Fluke ScopeMeter Default Setup RS-232
# (A&B) On, BW Full, 100 mV/div, Reading A&B Phase, Probe 1:1, manual ranging,
# 50 ms/div, Trigger level center, Trace B center.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
# Command too long for single statement. Cannot use OTERM.
  7.011  PORT         [OTERM NONE]
  7.012  PORT         #0[32][10][0][2][128][0][128][32][20][0][2][128][0][128][32][14][0][5][0][0][0][8][255][7][32][24][0][5][0][0][0][8][255][7][32][51][0][5][128][1][14][11][9][163][32][52][0][5][128][2][14][11][9][164][32][23][0][2][0][0][0]
  7.013  PORT         [32][11][0][1][2][2][32][21][0][1][2][2][32][103][0][2][0][12][12][32][115][0][1][0][0][32][111][0][5][0][0][0][6][255][5][160][113][0][5][255][255][255][255][255][251][13]
  7.014  PORT         [OTERM CR]
  7.015  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Set measurement delay to 4 seconds.
  7.016  MATH         @Wait = 4
  7.017  5500         10H                          600mVpp        SI SC S
  7.018  TARGET       -m
  7.019  MATH         @Cmd = "QM 11"
  7.020  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  7.021  MEMCX        0deg           2U            10H

  8.001  HEAD         -2 Input A: 1 MHz, Phase 0°
# Set timebase to 200 ns.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  8.004  PORT         #0[32][111][0][5][0][0][0][24][249][17][160][113][0][5][255][255][255][252][249][242]
  8.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  8.006  5500         1MH                          300mVpp        LS SC S  L
  8.007  TARGET       -m
  8.008  MATH         @Cmd = "QM 11"
  8.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  8.010  MEMCX        0deg           2U            1MH

  9.001  HEAD         -2 Input A: 10 MHz, Phase 0°
# Set timebase to 20 ns.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  9.004  PORT         #0[32][111][0][5][0][0][0][24][248][16][160][113][0][5][255][255][255][252][248][241]
  9.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  9.006  5500         10MH                         300mVpp        LS SC S  L
  9.007  TARGET       -m
  9.008  MATH         @Cmd = "QM 11"
  9.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  9.010  MEMCX        0deg           3U            10MH

 10.001  RSLT         =
 10.002  HEAD         -2{Input B}: 10 Hz, Phase 0°
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
# Command too long for single statement. Cannot use OTERM.
 10.005  PORT         [OTERM NONE]
 10.006  PORT         #0[32][10][0][2][128][0][128][32][20][0][2][128][0][128][32][14][0][5][0][0][0][8][255][7][32][24][0][5][0][0][0][8][255][7][32][51][0][5][128][1][14][11][9][163][32][52][0][5][128][2][14][11][9][164][32][23][0][2][0][0][0]
 10.007  PORT         [32][11][0][1][2][2][32][21][0][1][2][2][32][103][0][2][0][12][12][32][115][0][1][0][0][32][111][0][5][0][0][0][6][255][5][160][113][0][5][255][255][255][255][255][251][13]
 10.008  PORT         [OTERM CR]
 10.009  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 10.010  5500         10H                          600mVpp        SI SC S
 10.011  TARGET       -m
 10.012  MATH         @Cmd = "QM 21"
 10.013  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 10.014  MEMCX        0deg           2U            10H

 11.001  HEAD         -2 Input B: 1 MHz, Phase 0°
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 11.004  PORT         #0[32][111][0][5][0][0][0][24][249][17][160][113][0][5][255][255][255][252][249][242]
 11.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 11.006  5500         1MH                          300mVpp        LS SC S  L
 11.007  TARGET       -m
 11.008  MATH         @Cmd = "QM 21"
 11.009  MEMCX        0deg           2U            1MH

 12.001  HEAD         -2 Input B: 10 MHz, Phase 0°
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 12.004  PORT         #0[32][111][0][5][0][0][0][24][248][16][160][113][0][5][255][255][255][252][248][241]
 12.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 12.006  5500         10MH                         300mVpp        LS SC S  L
 12.007  TARGET       -m
 12.008  MATH         @Cmd = "QM 21"
 12.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 12.010  MEMCX        0deg           3U            10MH

 13.001  ASK+                              U
 13.002  HEAD         -2
 13.003  5500         *                                                 S
 13.004  END

 13.005  EVAL   Increment Line Number

# ====== Input A, Trigger Sensitivity Test ==================================

 14.001  LABEL        A_TRIG_SENS
 14.002  RSLT         =
 14.003  HEAD         {INPUT A TRIGGER SENSITIVITY}
 14.004  RSLT         =
 14.005  HEAD         -2{5 MHz}, 0.5 divisions
 14.006  TARGET
 14.007  CALL         Sub Fluke ScopeMeter Default Setup RS-232
# Select A 1:1, 1V/div, readings on, auto trigger, 200 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 14.010  PORT         #0[32][11][0][1][2][2][32][14][0][5][0][0][0][8][0][8][32][51][0][5][128][1][3][1][1][134][32][115][0][1][24][24][32][111][0][5][0][0][0][24][249][17][160][113][0][5][255][255][255][252][249][242]
 14.011  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Set variables for use in sub.
 14.012  MATH         @Input = "A"; @Wait = 2
 14.013  MATH         @VertDiv = 0.5; @Ampl = "0.5V"; @Freq = "5 MHz"
 14.014  CALL         Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
 14.015  EVAL   -e @Triggered : [32]Triggered @ 0.5 div.

# Test 1 div trigger sensitivity.
 15.001  MATH         @Freq = FMT(@Bandwidth / 1E+6, "%.0f") & " MHz"
 15.002  RSLT         =
 15.003  HEAD         -2{[V @Freq]}, 1 division
 15.004  TARGET
# Set timebase to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 15.007  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
 15.008  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Set variables for use in sub.
 15.009  MATH         @VertDiv = 1; @Ampl = "1V"
 15.010  CALL         Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
 15.011  EVAL   -e @Triggered : [32]Triggered @ 1 div.

# Test 2 div trigger sensitivity.
 16.001  IF           @Bandwidth == 60E+6
 16.002  MATH         @Freq = "100 MHz"
 16.003  ELSEIF       @Bandwidth == 100E+6
 16.004  MATH         @Freq = "150 MHz"
 16.005  ELSE
 16.006  MATH         @Freq = "250 MHz"
 16.007  ENDIF

 16.008  RSLT         =
 16.009  HEAD         -2{[V @Freq]}, 2 divisions
 16.010  TARGET
# Set timebase to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 16.013  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
 16.014  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Set variables for use in sub.
 16.015  MATH         @VertDiv = 2; @Ampl = "2V"
 16.016  CALL         Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
 16.017  EVAL   -e @Triggered : [32]Triggered @ 2 div.

 17.001  HEAD         -2
 17.002  5500         *                                                 S
 17.003  END

 17.004  EVAL   Increment Line Number

# ====== Input A AC Voltage Accuracy (HF) and Bandwidth Test ================

 18.001  LABEL        A_VAC_HF
 18.002  RSLT         =
 18.003  HEAD         {INPUT A AC VOLTAGE ACCURACY (HF) & BANDWIDTH}
 18.004  TARGET       -p
 18.005  HEAD         -2 1 MHz
 18.006  CALL         Sub Fluke ScopeMeter Default Setup RS-232
# A: Set reading 1 Vac, Probe 1:1, 500 ns/div, manual ranging, A 500 mV/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 18.009  PORT         #0[32][51][0][5][128][1][2][1][1][133][32][11][0][1][2][2][32][111][0][5][0][0][0][6][250][0][32][113][0][5][255][255][255][255][250][246][32][115][0][1][0][0][160][14][0][5][0][0][0][4][0][4]
 18.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 18.011  MATH         @Wait = 3
 18.012  5500         900mV                        1MH            LS SC S  L
 18.013  TARGET       -m
 18.014  MATH         @Cmd = "QM 11"
 18.015  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 18.016  MATH         MEM = MEM / 1E-3
 18.017  MEMCX  900   900mV          5/ 20U        1MH

 19.001  HEAD         -2 25 MHz
# Set timebase to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 19.004  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
 19.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 19.006  5500         900mV                        25MH           LS SC S  L
 19.007  TARGET       -m
 19.008  MATH         @Cmd = "QM 11"
 19.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 19.010  MATH         MEM = MEM / 1E-3
 19.011  MEMCX  900   900mV          10/ 20U       25MH

 20.001  MATH         Frequency = FMT(@Bandwidth / 1E+6, "%.0f") & " MHz"
 20.002  HEAD         -2 [V Frequency]
 20.003  TARGET
 20.004  MATH         MEM = @Bandwidth
 20.005  5500         H                            900mV          LS SC S  L
 20.006  MATH         @Cmd = "QM 11"
 20.007  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 20.008  MATH         MEM = MEM / 1E-3
 20.009  EVAL   -e  MEM >= 630:[32] 900 mV @ [V Frequency]

 21.001  HEAD         -2
 21.002  5500         *                                                 S
 21.003  END

 21.004  EVAL   Increment Line Number

# ====== Input B, Trigger Sensitivity Test ==================================

 22.001  LABEL        B_TRIG_SENS
 22.002  RSLT         =
 22.003  HEAD         {INPUT B TRIGGER SENSITIVITY}
 22.004  RSLT         =
 22.005  HEAD         -2{5 MHz}, 0.5 divisions
 22.006  TARGET
 22.007  CALL         Sub Fluke ScopeMeter Default Setup RS-232
# Select A 1:1, 1V/div, readings on, auto trigger, 200 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
# Command too long for single statement. Cannot use OTERM.
 22.010  PORT         [OTERM NONE]
 22.011  PORT         #0[32][20][0][2][128][0][128][32][10][0][2][0][0][0][32][21][0][1][2][2][32][24][0][5][0][0][0][8][0][8][32][52][0][5][128][2][3][1][1][135][32][102][0][1][1][1][32][115][0][1][24][24]
 22.012  PORT         [32][111][0][5][0][0][0][24][249][17][160][113][0][5][255][255][255][252][249][242][13]
 22.013  PORT
 22.014  PORT         [OTERM CR]
 22.015  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 22.016  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
 22.017  PIC          19x_b_input_55_scope.jpg
 22.018  HEAD         -2 5 MHz, 0.5 divisions
# Set variables for use in sub.
 22.019  MATH         @Input = "B"; @Wait = 2
 22.020  MATH         @VertDiv = 0.5; @Ampl = "0.5V"; @Freq = "5 MHz"
 22.021  CALL         Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
 22.022  EVAL   -e @Triggered : [32]Triggered @ 0.5 div.

# Test 1 div trigger sensitivity.
 23.001  MATH         @Freq = FMT(@Bandwidth / 1E+6, "%.0f") & " MHz"
 23.002  RSLT         =
 23.003  HEAD         -2{[V @Freq]}, 1 division
 23.004  TARGET
# Set timebase to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 23.007  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
 23.008  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Set variables for use in sub.
 23.009  MATH         @VertDiv = 1; @Ampl = "1V"
 23.010  CALL         Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
 23.011  EVAL   -e @Triggered : [32]Triggered @ 1 div.

# Test 2 div trigger sensitivity.
 24.001  IF           @Bandwidth == 60E+6
 24.002  MATH         @Freq = "100 MHz"
 24.003  ELSEIF       @Bandwidth == 100E+6
 24.004  MATH         @Freq = "150 MHz"
 24.005  ELSE
 24.006  MATH         @Freq = "250 MHz"
 24.007  ENDIF

 24.008  RSLT         =
 24.009  HEAD         -2{[V @Freq]}, 2 divisions
 24.010  TARGET
# Set timebase to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 24.013  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
 24.014  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
# Set variables for use in sub.
 24.015  MATH         @VertDiv = 2; @Ampl = "2V"
 24.016  CALL         Sub Fluke 19x Trigger Sens. Adjust RS-232 /5500+SC
 24.017  EVAL   -e @Triggered : [32]Triggered @ 2 div.

 25.001  HEAD         -2
 25.002  5500         *                                                 S
 25.003  END

 25.004  EVAL   Increment Line Number

# ====== Input B AC Voltage Accuracy (HF) and Bandwidth Test ================

 26.001  LABEL        B_VAC_HF
 26.002  RSLT         =
 26.003  HEAD         {INPUT B AC VOLTAGE ACCURACY (HF) & BANDWIDTH}
 26.004  TARGET       -p
 26.005  HEAD         -2 1 MHz
 26.006  CALL         Sub Fluke ScopeMeter Default Setup RS-232
# A: Set reading 1 Vac, Probe 1:1, 500 ns/div, manual ranging, A 500 mV/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
# Command too long for single statement. Cannot use OTERM.
 26.009  PORT         [OTERM NONE]
 26.010  PORT         #0[32][20][0][2][128][0][128][32][10][0][2][0][0][0][32][52][0][5][128][2][2][1][1][134][32][21][0][1][2][2][32][111][0][5][0][0][0][6][250][0][32][113][0][5][255][255][255][255][250][246][32][23][0][2][0][14][14][32][102][0][1][1][1]
 26.011  PORT         [32][115][0][1][0][0][160][24][0][5][0][0][0][4][0][4][13]
 26.012  PORT         [OTERM CR]
 26.013  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 26.014  MATH         @Wait = 3
 26.015  5500         900mV                        1MH            LS SC S  L
 26.016  TARGET       -m
 26.017  MATH         @Cmd = "QM 21"
 26.018  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 26.019  MATH         MEM = MEM / 1E-3
 26.020  MEMCX  900   900mV          5/ 20U        1MH

 27.001  HEAD         -2 25 MHz
# Set timebase to 10 ns/div.
 27.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
 27.004  PORT         #0[32][111][0][5][0][0][0][12][248][4][160][113][0][5][255][255][255][254][248][243]
 27.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 27.006  5500         900mV                        25MH           LS SC S  L
 27.007  TARGET       -m
 27.008  MATH         @Cmd = "QM 21"
 27.009  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 27.010  MATH         MEM = MEM / 1E-3
 27.011  MEMCX  900   900mV          10/ 20U       25MH

 28.001  MATH         Frequency = FMT(@Bandwidth / 1E+6, "%.0f") & " MHz"
 28.002  HEAD         -2 [V Frequency]
 28.003  TARGET
 28.004  MATH         MEM = @Bandwidth
 28.005  5500         H                            900mV          LS SC S  L
 28.006  MATH         @Cmd = "QM 21"
 28.007  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
 28.008  MATH         MEM = MEM / 1E-3
 28.009  EVAL   -e  MEM >= 630:[32] 900 mV @ [V Frequency]

 29.001  HEAD         -2
 29.002  5500         *                                                 S
 29.003  END
